<GuiCode>
  <WinapiHeader>#include "windows.bi"
  #undef name
  #undef width
  #define makestring(s) #s
  </WinapiHeader>
  <WinapiMainLoop>
  dim wMsg as MSG
  while( GetMessage( @wMsg, NULL, 0, 0 ) &lt;&gt; FALSE )    
    TranslateMessage( @wMsg )
    DispatchMessage( @wMsg )
  wend
  </WinapiMainLoop>
</GuiCode>
